Index: branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/HeuristicLab.Clients.OKB-3.3.csproj
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/HeuristicLab.Clients.OKB-3.3.csproj	(revision 5298)
+++ branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/HeuristicLab.Clients.OKB-3.3.csproj	(revision 5299)
@@ -109,4 +109,5 @@
     <Compile Include="ServiceClients\AlgorithmParameter.cs" />
     <Compile Include="ServiceClients\AndFilter.cs" />
+    <Compile Include="ServiceClients\OKBServiceClients.cs" />
     <Compile Include="ServiceClients\SetComparisonStringAvailableValuesFilter.cs" />
     <Compile Include="ServiceClients\NameSetComparisonStringAvailableValuesFilter.cs" />
@@ -125,5 +126,4 @@
     <Compile Include="ServiceClients\Result.cs" />
     <Compile Include="ServiceClients\ProblemParameter.cs" />
-    <Compile Include="ServiceClients\OKBServiceClient.cs" />
     <Compile Include="ServiceClients\ProblemData.cs" />
     <Compile Include="ServiceClients\Problem.cs" />
Index: branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/OKBClient.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/OKBClient.cs	(revision 5298)
+++ branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/OKBClient.cs	(revision 5299)
@@ -103,11 +103,11 @@
       var call = new Func<Exception>(delegate() {
         try {
-          platforms.AddRange(CallAdminService<List<Platform>>(s => s.GetPlatforms()).OrderBy(x => x.Name));
-          dataTypes.AddRange(CallAdminService<List<DataType>>(s => s.GetDataTypes()).OrderBy(x => x.Name));
+          platforms.AddRange(CallAdministrationService<List<Platform>>(s => s.GetPlatforms()).OrderBy(x => x.Name));
+          dataTypes.AddRange(CallAdministrationService<List<DataType>>(s => s.GetDataTypes()).OrderBy(x => x.Name));
           users = CallAuthenticationService<List<User>>(s => s.GetUsers()).OrderBy(x => x.Name);
-          algorithmClasses.AddRange(CallAdminService<List<AlgorithmClass>>(s => s.GetAlgorithmClasses()).OrderBy(x => x.Name));
-          algorithms.AddRange(CallAdminService<List<Algorithm>>(s => s.GetAlgorithms()).OrderBy(x => x.Name));
-          problemClasses.AddRange(CallAdminService<List<ProblemClass>>(s => s.GetProblemClasses()).OrderBy(x => x.Name));
-          problems.AddRange(CallAdminService<List<Problem>>(s => s.GetProblems()).OrderBy(x => x.Name));
+          algorithmClasses.AddRange(CallAdministrationService<List<AlgorithmClass>>(s => s.GetAlgorithmClasses()).OrderBy(x => x.Name));
+          algorithms.AddRange(CallAdministrationService<List<Algorithm>>(s => s.GetAlgorithms()).OrderBy(x => x.Name));
+          problemClasses.AddRange(CallAdministrationService<List<ProblemClass>>(s => s.GetProblemClasses()).OrderBy(x => x.Name));
+          problems.AddRange(CallAdministrationService<List<Problem>>(s => s.GetProblems()).OrderBy(x => x.Name));
           return null;
         }
@@ -129,48 +129,48 @@
         if (item.Id == 0) {
           if (item is Platform)
-            item.Id = CallAdminService<long>(s => s.AddPlatform((Platform)item));
+            item.Id = CallAdministrationService<long>(s => s.AddPlatform((Platform)item));
           else if (item is DataType)
-            item.Id = CallAdminService<long>(s => s.AddDataType((DataType)item));
+            item.Id = CallAdministrationService<long>(s => s.AddDataType((DataType)item));
           else if (item is AlgorithmClass)
-            item.Id = CallAdminService<long>(s => s.AddAlgorithmClass((AlgorithmClass)item));
+            item.Id = CallAdministrationService<long>(s => s.AddAlgorithmClass((AlgorithmClass)item));
           else if (item is Algorithm)
-            item.Id = CallAdminService<long>(s => s.AddAlgorithm((Algorithm)item));
+            item.Id = CallAdministrationService<long>(s => s.AddAlgorithm((Algorithm)item));
           else if (item is AlgorithmParameter)
-            item.Id = CallAdminService<long>(s => s.AddAlgorithmParameter((AlgorithmParameter)item));
+            item.Id = CallAdministrationService<long>(s => s.AddAlgorithmParameter((AlgorithmParameter)item));
           else if (item is ProblemClass)
-            item.Id = CallAdminService<long>(s => s.AddProblemClass((ProblemClass)item));
+            item.Id = CallAdministrationService<long>(s => s.AddProblemClass((ProblemClass)item));
           else if (item is Problem)
-            item.Id = CallAdminService<long>(s => s.AddProblem((Problem)item));
+            item.Id = CallAdministrationService<long>(s => s.AddProblem((Problem)item));
           else if (item is ProblemParameter)
-            item.Id = CallAdminService<long>(s => s.AddProblemParameter((ProblemParameter)item));
+            item.Id = CallAdministrationService<long>(s => s.AddProblemParameter((ProblemParameter)item));
           else if (item is Result)
-            item.Id = CallAdminService<long>(s => s.AddResult((Result)item));
+            item.Id = CallAdministrationService<long>(s => s.AddResult((Result)item));
           else if (item is Experiment)
-            item.Id = CallAdminService<long>(s => s.AddExperiment((Experiment)item));
+            item.Id = CallAdministrationService<long>(s => s.AddExperiment((Experiment)item));
           else if (item is Run)
-            item.Id = CallAdminService<long>(s => s.AddRun((Run)item));
+            item.Id = CallAdministrationService<long>(s => s.AddRun((Run)item));
         } else {
           if (item is Platform)
-            CallAdminService(s => s.UpdatePlatform((Platform)item));
+            CallAdministrationService(s => s.UpdatePlatform((Platform)item));
           else if (item is DataType)
-            CallAdminService(s => s.UpdateDataType((DataType)item));
+            CallAdministrationService(s => s.UpdateDataType((DataType)item));
           else if (item is AlgorithmClass)
-            CallAdminService(s => s.UpdateAlgorithmClass((AlgorithmClass)item));
+            CallAdministrationService(s => s.UpdateAlgorithmClass((AlgorithmClass)item));
           else if (item is Algorithm)
-            CallAdminService(s => s.UpdateAlgorithm((Algorithm)item));
+            CallAdministrationService(s => s.UpdateAlgorithm((Algorithm)item));
           else if (item is AlgorithmParameter)
-            CallAdminService(s => s.UpdateAlgorithmParameter((AlgorithmParameter)item));
+            CallAdministrationService(s => s.UpdateAlgorithmParameter((AlgorithmParameter)item));
           else if (item is ProblemClass)
-            CallAdminService(s => s.UpdateProblemClass((ProblemClass)item));
+            CallAdministrationService(s => s.UpdateProblemClass((ProblemClass)item));
           else if (item is Problem)
-            CallAdminService(s => s.UpdateProblem((Problem)item));
+            CallAdministrationService(s => s.UpdateProblem((Problem)item));
           else if (item is ProblemParameter)
-            CallAdminService(s => s.UpdateProblemParameter((ProblemParameter)item));
+            CallAdministrationService(s => s.UpdateProblemParameter((ProblemParameter)item));
           else if (item is Result)
-            CallAdminService(s => s.UpdateResult((Result)item));
+            CallAdministrationService(s => s.UpdateResult((Result)item));
           else if (item is Experiment)
-            item.Id = CallAdminService<long>(s => s.AddExperiment((Experiment)item));
+            item.Id = CallAdministrationService<long>(s => s.AddExperiment((Experiment)item));
           else if (item is Run)
-            item.Id = CallAdminService<long>(s => s.AddRun((Run)item));
+            item.Id = CallAdministrationService<long>(s => s.AddRun((Run)item));
         }
         return true;
@@ -213,5 +213,5 @@
     public List<Guid> GetAlgorithmUsers(long algorithmId) {
       try {
-        return CallAdminService<List<Guid>>(s => s.GetAlgorithmUsers(algorithmId));
+        return CallAdministrationService<List<Guid>>(s => s.GetAlgorithmUsers(algorithmId));
       }
       catch (Exception ex) {
@@ -222,5 +222,5 @@
     public bool UpdateAlgorithmUsers(long algorithmId, List<Guid> users) {
       try {
-        CallAdminService(s => s.UpdateAlgorithmUsers(algorithmId, users));
+        CallAdministrationService(s => s.UpdateAlgorithmUsers(algorithmId, users));
         return true;
       }
@@ -232,5 +232,5 @@
     public AlgorithmData GetAlgorithmData(long algorithmId) {
       try {
-        return CallAdminService<AlgorithmData>(s => s.GetAlgorithmData(algorithmId));
+        return CallAdministrationService<AlgorithmData>(s => s.GetAlgorithmData(algorithmId));
       }
       catch (Exception ex) {
@@ -241,5 +241,5 @@
     public bool UpdateAlgorithmData(AlgorithmData algorithmData) {
       try {
-        CallAdminService(s => s.UpdateAlgorithmData(algorithmData));
+        CallAdministrationService(s => s.UpdateAlgorithmData(algorithmData));
         return true;
       }
@@ -254,5 +254,5 @@
     public List<Guid> GetProblemUsers(long problemId) {
       try {
-        return CallAdminService<List<Guid>>(s => s.GetProblemUsers(problemId));
+        return CallAdministrationService<List<Guid>>(s => s.GetProblemUsers(problemId));
       }
       catch (Exception ex) {
@@ -263,5 +263,5 @@
     public bool UpdateProblemUsers(long problemId, List<Guid> users) {
       try {
-        CallAdminService(s => s.UpdateProblemUsers(problemId, users));
+        CallAdministrationService(s => s.UpdateProblemUsers(problemId, users));
         return true;
       }
@@ -273,5 +273,5 @@
     public ProblemData GetProblemData(long problemId) {
       try {
-        return CallAdminService<ProblemData>(s => s.GetProblemData(problemId));
+        return CallAdministrationService<ProblemData>(s => s.GetProblemData(problemId));
       }
       catch (Exception ex) {
@@ -282,5 +282,5 @@
     public bool UpdateProblemData(ProblemData problemData) {
       try {
-        CallAdminService(s => s.UpdateProblemData(problemData));
+        CallAdministrationService(s => s.UpdateProblemData(problemData));
         return true;
       }
@@ -295,5 +295,5 @@
     public AlgorithmParameter GetAlgorithmParameter(long id) {
       try {
-        return CallAdminService<AlgorithmParameter>(s => s.GetAlgorithmParameter(id));
+        return CallAdministrationService<AlgorithmParameter>(s => s.GetAlgorithmParameter(id));
       }
       catch (Exception ex) {
@@ -305,5 +305,5 @@
       try {
         ItemCollection<AlgorithmParameter> parameters = new ItemCollection<AlgorithmParameter>();
-        parameters.AddRange(CallAdminService<List<AlgorithmParameter>>(s => s.GetAlgorithmParameters(algorithmId)).OrderBy(x => x.Name));
+        parameters.AddRange(CallAdministrationService<List<AlgorithmParameter>>(s => s.GetAlgorithmParameters(algorithmId)).OrderBy(x => x.Name));
         return parameters;
       }
@@ -318,5 +318,5 @@
     public ProblemParameter GetProblemParameter(long id) {
       try {
-        return CallAdminService<ProblemParameter>(s => s.GetProblemParameter(id));
+        return CallAdministrationService<ProblemParameter>(s => s.GetProblemParameter(id));
       }
       catch (Exception ex) {
@@ -328,5 +328,5 @@
       try {
         ItemCollection<ProblemParameter> parameters = new ItemCollection<ProblemParameter>();
-        parameters.AddRange(CallAdminService<List<ProblemParameter>>(s => s.GetProblemParameters(problemId)).OrderBy(x => x.Name));
+        parameters.AddRange(CallAdministrationService<List<ProblemParameter>>(s => s.GetProblemParameters(problemId)).OrderBy(x => x.Name));
         return parameters;
       }
@@ -341,5 +341,5 @@
     public Result GetResult(long id) {
       try {
-        return CallAdminService<Result>(s => s.GetResult(id));
+        return CallAdministrationService<Result>(s => s.GetResult(id));
       }
       catch (Exception ex) {
@@ -351,5 +351,5 @@
       try {
         ItemCollection<Result> results = new ItemCollection<Result>();
-        results.AddRange(CallAdminService<List<Result>>(s => s.GetResults(algorithmId)).OrderBy(x => x.Name));
+        results.AddRange(CallAdministrationService<List<Result>>(s => s.GetResults(algorithmId)).OrderBy(x => x.Name));
         return results;
       }
@@ -364,5 +364,5 @@
     public Experiment GetExperiment(long id) {
       try {
-        return CallAdminService<Experiment>(s => s.GetExperiment(id));
+        return CallAdministrationService<Experiment>(s => s.GetExperiment(id));
       }
       catch (Exception ex) {
@@ -374,5 +374,5 @@
       try {
         ItemCollection<Experiment> experiments = new ItemCollection<Experiment>();
-        experiments.AddRange(CallAdminService<List<Experiment>>(s => s.GetExperiments(algorithmId, problemId)));
+        experiments.AddRange(CallAdministrationService<List<Experiment>>(s => s.GetExperiments(algorithmId, problemId)));
         experiments.ItemsRemoved += new CollectionItemsChangedEventHandler<Experiment>(experiments_ItemsRemoved);
         return experiments;
@@ -389,5 +389,5 @@
       try {
         ItemCollection<Run> runs = new ItemCollection<Run>();
-        runs.AddRange(CallAdminService<List<Run>>(s => s.GetRuns(experimentId)).OrderByDescending(x => x.CreatedDate));
+        runs.AddRange(CallAdministrationService<List<Run>>(s => s.GetRuns(experimentId)).OrderByDescending(x => x.CreatedDate));
         runs.ItemsRemoved += new CollectionItemsChangedEventHandler<Run>(runs_ItemsRemoved);
         return runs;
@@ -692,5 +692,5 @@
       if (refresh || (filters == null)) {
         try {
-          filters = CallAdminService<List<Filter>>(s => s.GetFilters());
+          filters = CallQueryService<List<Filter>>(s => s.GetFilters());
         }
         catch (Exception ex) {
@@ -706,5 +706,5 @@
     public long QueryNumberOfRuns(Filter filter) {
       try {
-        return CallAdminService<long>(x => x.QueryNumberOfRuns(filter));
+        return CallQueryService<long>(x => x.QueryNumberOfRuns(filter));
       }
       catch (Exception ex) {
@@ -716,5 +716,5 @@
       try {
         ItemCollection<Run> runs = new ItemCollection<Run>();
-        runs.AddRange(CallAdminService<List<Run>>(s => s.QueryRuns(filter)).OrderByDescending(x => x.CreatedDate));
+        runs.AddRange(CallQueryService<List<Run>>(s => s.QueryRuns(filter)).OrderByDescending(x => x.CreatedDate));
         return runs;
       }
@@ -741,5 +741,5 @@
       try {
         foreach (Platform p in e.Items)
-          CallAdminService(s => s.DeletePlatform(p.Id));
+          CallAdministrationService(s => s.DeletePlatform(p.Id));
       }
       catch (Exception ex) {
@@ -750,5 +750,5 @@
       try {
         foreach (DataType d in e.Items)
-          CallAdminService(s => s.DeleteDataType(d.Id));
+          CallAdministrationService(s => s.DeleteDataType(d.Id));
       }
       catch (Exception ex) {
@@ -759,5 +759,5 @@
       try {
         foreach (AlgorithmClass a in e.Items)
-          CallAdminService(s => s.DeleteAlgorithmClass(a.Id));
+          CallAdministrationService(s => s.DeleteAlgorithmClass(a.Id));
       }
       catch (Exception ex) {
@@ -768,5 +768,5 @@
       try {
         foreach (Algorithm a in e.Items)
-          CallAdminService(s => s.DeleteAlgorithm(a.Id));
+          CallAdministrationService(s => s.DeleteAlgorithm(a.Id));
       }
       catch (Exception ex) {
@@ -777,5 +777,5 @@
       try {
         foreach (ProblemClass p in e.Items)
-          CallAdminService(s => s.DeleteProblemClass(p.Id));
+          CallAdministrationService(s => s.DeleteProblemClass(p.Id));
       }
       catch (Exception ex) {
@@ -786,5 +786,5 @@
       try {
         foreach (Problem p in e.Items)
-          CallAdminService(s => s.DeleteProblem(p.Id));
+          CallAdministrationService(s => s.DeleteProblem(p.Id));
       }
       catch (Exception ex) {
@@ -795,5 +795,5 @@
       try {
         foreach (Experiment exp in e.Items)
-          CallAdminService(s => s.DeleteExperiment(exp.Id));
+          CallAdministrationService(s => s.DeleteExperiment(exp.Id));
       }
       catch (Exception ex) {
@@ -804,5 +804,5 @@
       try {
         foreach (Run r in e.Items)
-          CallAdminService(s => s.DeleteRun(r.Id));
+          CallAdministrationService(s => s.DeleteRun(r.Id));
       }
       catch (Exception ex) {
@@ -813,6 +813,6 @@
 
     #region Helpers
-    private void CallAdminService(Action<IOKBService> call) {
-      OKBServiceClient client = ClientFactory.CreateClient<OKBServiceClient, IOKBService>();
+    private void CallAdministrationService(Action<IAdministrationService> call) {
+      AdministrationServiceClient client = ClientFactory.CreateClient<AdministrationServiceClient, IAdministrationService>();
       try {
         call(client);
@@ -827,6 +827,6 @@
       }
     }
-    private T CallAdminService<T>(Func<IOKBService, T> call) {
-      OKBServiceClient client = ClientFactory.CreateClient<OKBServiceClient, IOKBService>();
+    private T CallAdministrationService<T>(Func<IAdministrationService, T> call) {
+      AdministrationServiceClient client = ClientFactory.CreateClient<AdministrationServiceClient, IAdministrationService>();
       try {
         return call(client);
@@ -841,4 +841,32 @@
       }
     }
+    private void CallQueryService(Action<IQueryService> call) {
+      QueryServiceClient client = ClientFactory.CreateClient<QueryServiceClient, IQueryService>();
+      try {
+        call(client);
+      }
+      finally {
+        try {
+          client.Close();
+        }
+        catch (Exception) {
+          client.Abort();
+        }
+      }
+    }
+    private T CallQueryService<T>(Func<IQueryService, T> call) {
+      QueryServiceClient client = ClientFactory.CreateClient<QueryServiceClient, IQueryService>();
+      try {
+        return call(client);
+      }
+      finally {
+        try {
+          client.Close();
+        }
+        catch (Exception) {
+          client.Abort();
+        }
+      }
+    }
     private T CallAuthenticationService<T>(Func<IAuthenticationService, T> call) {
       AuthenticationServiceClient client = ClientFactory.CreateClient<AuthenticationServiceClient, IAuthenticationService>();
Index: branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/ServiceClients/GenerateServiceClients.cmd
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/ServiceClients/GenerateServiceClients.cmd	(revision 5298)
+++ branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/ServiceClients/GenerateServiceClients.cmd	(revision 5299)
@@ -3,5 +3,5 @@
 echo.
 echo *******************************************************************************************
-echo Generating OKBService client
+echo Generating OKB service clients
 echo.
 
@@ -9,6 +9,7 @@
 
 svcutil.exe ^
-  http://localhost:8732/Design_Time_Addresses/OKB-3.3/OKBService/mex ^
-  /out:OKBServiceClient ^
+  http://localhost:8732/Design_Time_Addresses/OKB-3.3/AdministrationService/mex ^
+  http://localhost:8732/Design_Time_Addresses/OKB-3.3/QueryService/mex ^
+  /out:OKBServiceClients ^
   /namespace:*,HeuristicLab.Clients.OKB ^
   /collectionType:System.Collections.Generic.List`1 ^
@@ -27,5 +28,5 @@
 echo ---------------------------------------------------------------------------------------
 echo.
-echo Generation of OKBService client finished.
+echo Generation of OKB service clients finished.
 echo *******************************************************************************************
 echo.
Index: branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/app.config
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/app.config	(revision 5298)
+++ branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/app.config	(revision 5299)
@@ -11,5 +11,22 @@
     <bindings>
       <wsHttpBinding>
-        <binding name="WSHttpBinding_IOKBService" closeTimeout="00:01:00"
+        <binding name="WSHttpBinding_IAdministrationService" closeTimeout="00:01:00"
+            openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
+            bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard"
+            maxBufferPoolSize="524288" maxReceivedMessageSize="200000000"
+            messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true"
+            allowCookies="false">
+          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="200000000"
+              maxBytesPerRead="4096" maxNameTableCharCount="16384" />
+          <reliableSession ordered="true" inactivityTimeout="00:10:00"
+              enabled="false" />
+          <security mode="Message">
+            <transport clientCredentialType="Windows" proxyCredentialType="None"
+                realm="" />
+            <message clientCredentialType="UserName" negotiateServiceCredential="true"
+                algorithmSuite="Default" />
+          </security>
+        </binding>
+        <binding name="WSHttpBinding_IQueryService" closeTimeout="00:01:00"
             openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
             bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard"
@@ -48,7 +65,15 @@
     </bindings>
     <client>
-      <endpoint address="http://localhost:8732/Design_Time_Addresses/OKB-3.3/OKBService"
-          binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IOKBService"
-          contract="HeuristicLab.Clients.OKB.IOKBService" name="WSHttpBinding_IOKBService"
+      <endpoint address="http://localhost:8732/Design_Time_Addresses/OKB-3.3/AdministrationService"
+          binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IAdministrationService"
+          contract="HeuristicLab.Clients.OKB.IAdministrationService"
+          name="WSHttpBinding_IAdministrationService" behaviorConfiguration="DefaultEndpointBehavior">
+        <identity>
+          <certificate encodedValue="AwAAAAEAAAAUAAAAD/AlkYJw/OUhl6D/9w8mjJBh39kgAAAAAQAAAPIBAAAwggHuMIIBW6ADAgECAhAdEzTisaf2sEZxrqYZfYtCMAkGBSsOAwIdBQAwFDESMBAGA1UEAxMJbG9jYWxob3N0MB4XDTEwMDgyMDIyMzIwOFoXDTM5MTIzMTIzNTk1OVowFDESMBAGA1UEAxMJbG9jYWxob3N0MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDPkfCSLRX8/4F+Z4ys43yZ4MMzjB44cMakPz4Nri+mEB5n2z/0GFatCYzkI2f/nniWqVrBYjHkjsZy2EZioHu4wa99c1XEGJnFNDuNn6ESkfEyhyF4+OqKGnpK9HNrw7OWMuqn2oOh0iFd9fl6FTAm+Y0p3LP+38BuYzpCniqqdwIDAQABo0kwRzBFBgNVHQEEPjA8gBDvi8Rgio9v+mr58TiAvqF5oRYwFDESMBAGA1UEAxMJbG9jYWxob3N0ghAdEzTisaf2sEZxrqYZfYtCMAkGBSsOAwIdBQADgYEANdGlvHKeUptfNu9I0wgA5qjmVB+JDldOAkrfM0R+4IcVQ06y5K7P07uxQAV7+rhnDLgLyFJunUHgzbfjsjFy7vjwtoieXA5j0AYlm4AHR7dHt4HVgkIMYt8XOCqMw5jjFX91xJ89tC7mM9zYR48N9T5QSeMGo+f+JzybeLWxnNs=" />
+        </identity>
+      </endpoint>
+      <endpoint address="http://localhost:8732/Design_Time_Addresses/OKB-3.3/QueryService"
+          binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IQueryService"
+          contract="HeuristicLab.Clients.OKB.IQueryService" name="WSHttpBinding_IQueryService"
           behaviorConfiguration="DefaultEndpointBehavior">
         <identity>
@@ -59,5 +84,5 @@
           binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IAuthenticationService"
           contract="HeuristicLab.Clients.OKB.IAuthenticationService"
-          name="WSHttpBinding_IAuthenticationService">
+          name="WSHttpBinding_IAuthenticationService" behaviorConfiguration="DefaultEndpointBehavior">
         <identity>
           <certificate encodedValue="AwAAAAEAAAAUAAAAD/AlkYJw/OUhl6D/9w8mjJBh39kgAAAAAQAAAPIBAAAwggHuMIIBW6ADAgECAhAdEzTisaf2sEZxrqYZfYtCMAkGBSsOAwIdBQAwFDESMBAGA1UEAxMJbG9jYWxob3N0MB4XDTEwMDgyMDIyMzIwOFoXDTM5MTIzMTIzNTk1OVowFDESMBAGA1UEAxMJbG9jYWxob3N0MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDPkfCSLRX8/4F+Z4ys43yZ4MMzjB44cMakPz4Nri+mEB5n2z/0GFatCYzkI2f/nniWqVrBYjHkjsZy2EZioHu4wa99c1XEGJnFNDuNn6ESkfEyhyF4+OqKGnpK9HNrw7OWMuqn2oOh0iFd9fl6FTAm+Y0p3LP+38BuYzpCniqqdwIDAQABo0kwRzBFBgNVHQEEPjA8gBDvi8Rgio9v+mr58TiAvqF5oRYwFDESMBAGA1UEAxMJbG9jYWxob3N0ghAdEzTisaf2sEZxrqYZfYtCMAkGBSsOAwIdBQADgYEANdGlvHKeUptfNu9I0wgA5qjmVB+JDldOAkrfM0R+4IcVQ06y5K7P07uxQAV7+rhnDLgLyFJunUHgzbfjsjFy7vjwtoieXA5j0AYlm4AHR7dHt4HVgkIMYt8XOCqMw5jjFX91xJ89tC7mM9zYR48N9T5QSeMGo+f+JzybeLWxnNs=" />
